obj-m += decryption.o 

all:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) modules

insert:
	insmod ./decryption.ko
	mknod /dev/decryption_char c 194 0

test:
	echo "Uwtgfsit%jq%YU8%ij%xnxyjrfx%tujwfyn{tx%N" > /dev/decryption_char
	cat /dev/decryption_char

remove:
	rm /dev/decryption_char
	rmmod decryption

clean:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) clean